Subject: Tweak package dependencies
Description

The package dependencies need to be tweaked so that

    -  tagged releases are used where possible
    -  the beta does no longer need minimum-stability: dev
    -  useless dependencies are removed

Associated revisions
Revision 5fdd7978 - 2013-05-02 11:10 - Karsten Dambekalns

[TASK] Remove minimum stability setting

This removes the minimum-stability so tagged releases of dependencies
are used. For doctrine/migrations it explicitly allows dev versions,
because no suitable stable release exists.

The packages that are part of TYPO3 Flow directly (Flow, Fluid, Party,
Welcome, Kickstart, BuildEssentials) are explicitly allowed in beta
state.

This change speeds up installation (because zip archives will be used
instead of git clones) and avoids surprises due to possibly unstable
code being pulled in.

Change-Id: Ic6d0ab06b8013718a34efa7a93689714b1016c55
Related: #47808
Releases: master, 2.0

Revision b748f0ee - 2013-05-02 11:14 - Karsten Dambekalns

[TASK] Removed minimum stability setting

This removes the minimum-stability so tagged releases of dependencies
are used. It explicitly allows dev versions for typo3/fluid, typo3/party
(because we want to use them as dev-master) and doctrine/migrations
(because no suitable stable release exists).

This change speeds up installation (because zip archives will be used
instead of git clones) and avoids surprises due to possibly unstable
3rd party code being pulled in.

Change-Id: Ic6d0ab06b8013718a34efa7a93689714b1016c55
Related: #47808
Releases: master, 2.0

Revision 14d6b5c3 - 2013-05-02 11:23 - Karsten Dambekalns

[TASK] Adjust dependencies to doctrine packages

This changes the dependencies to doctrine/migrations (so it explicitly
points to dev-master) and doctrine/data-fixtures (so it becomes a
suggestion instead of a requirement).

Change-Id: Ib048369147bf4ead9bf569acfd4b362dad194ca3
Related: #47808
Releases: master, 2.0

Revision 3d4d7233 - 2013-05-02 11:25 - Karsten Dambekalns

[TASK] Adjust dependencies to doctrine packages

This changes the dependencies to migrations and data-fixtures so they
explicitly point to dev versions. This allows to set the global minimum
stability to something lower than dev.

Change-Id: Ib048369147bf4ead9bf569acfd4b362dad194ca3
Related: #47808
Releases: master, 2.0

History
#1 - 2013-05-02 12:21 - Karsten Dambekalns
- Status changed from Accepted to Under Review

See https://review.typo3.org/#/q/tr:47808,n,z

#2 - 2013-08-02 11:18 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
